version: "3"

services:
  web:
    image: reg.federspiel.software/fedeo/software:beta
    restart: always
#    networks:
#      - traefik
    environment:
      SUPABASE_URL: "https://uwppvcxflrcsibuzsbil.supabase.co"
      SUPABASE_KEY: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6InV3cHB2Y3hmbHJjc2lidXpzYmlsIiwicm9sZSI6ImFub24iLCJpYXQiOjE3MDA5MzgxOTQsImV4cCI6MjAxNjUxNDE5NH0.CkxYSQH0uLfwx9GVUlO6AYMU2FMLAxGMrwEKvyPv7Oo"
#    labels:
#      - "traefik.enable=true"
#      - "traefik.docker.network=traefik"
#      - "traefik.port=3000"
#      # Middlewares
#      - "traefik.http.middlewares.spaces-frontend-redirect-web-secure.redirectscheme.scheme=https"
#      # Web Entrypoint
#      - "traefik.http.routers.spaces-frontend.middlewares=spaces-frontend-redirect-web-secure"
#      - "traefik.http.routers.spaces-frontend.rule=Host(`app.spaces.software`)"
#      - "traefik.http.routers.spaces-frontend.entrypoints=web"
#      # Web Secure Entrypoint
#      - "traefik.http.routers.spaces-frontend-secure.rule=Host(`app.spaces.software`)"
#      - "traefik.http.routers.spaces-frontend-secure.entrypoints=web-secured" #
#      - "traefik.http.routers.spaces-frontend-secure.tls.certresolver=mytlschallenge"

#networks:
#  traefik:
#    external: true